haskell98-2.0.0.2: Compatibility with Haskell 98

Safe Haskell | Safe

CPUTime

Synopsis

- getCPUTime :: IO Integer
- cpuTimePrecision :: Integer

# Documentation

getCPUTime :: IO Integer Source

Computation `getCPUTime` returns the number of picoseconds CPU time used by the current program. The precision of this result is implementation-dependent.

cpuTimePrecision :: Integer Source

The `cpuTimePrecision` constant is the smallest measurable difference in CPU time that the implementation can record, and is given as an integral number of picoseconds.